CMSIS-DSP: arm_class_marks_example_f32.c File Reference

| CMSIS-DSP Version 1.4.7 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions | Variables
ARM/arm_class_marks_example_f32.c File Reference

## Macros
#define | USE_STATIC_INIT
#define | TEST_LENGTH_SAMPLES
#define | NUMSTUDENTS
#define | NUMSUBJECTS

## Functions
int32_t | main ()

## Variables
const float32_t | testMarks_f32 [TEST_LENGTH_SAMPLES]
const float32_t | testUnity_f32 [4]
static float32_t | testOutput [TEST_LENGTH_SAMPLES]
uint32_t | numStudents
uint32_t | numSubjects
float32_t | max_marks
float32_t | min_marks
float32_t | mean
float32_t | std
float32_t | var
uint32_t | student_num

## Macro Definition Documentation

#define NUMSTUDENTS

Examples:
  arm_class_marks_example_f32.c.

Referenced by main().

#define NUMSUBJECTS

Examples:
  arm_class_marks_example_f32.c.

Referenced by main().

#define TEST_LENGTH_SAMPLES

Examples:
  arm_class_marks_example_f32.c, arm_fft_bin_example_f32.c, arm_fir_example_f32.c, arm_linear_interp_example_f32.c, and arm_signal_converge_example_f32.c.

#define USE_STATIC_INIT

## Function Documentation

int32_t main | ( | void |  | ) |

Examples:
  arm_class_marks_example_f32.c, arm_convolution_example_f32.c, arm_dotproduct_example_f32.c, arm_fft_bin_example_f32.c, arm_fir_example_f32.c, arm_graphic_equalizer_example_q31.c, arm_linear_interp_example_f32.c, arm_matrix_example_f32.c, arm_signal_converge_example_f32.c, arm_sin_cos_example_f32.c, and arm_variance_example_f32.c.

References arm_mat_init_f32(), arm_mat_mult_f32(), arm_max_f32(), arm_mean_f32(), arm_min_f32(), arm_std_f32(), arm_var_f32(), max_marks, mean, min_marks, NUMSTUDENTS, numStudents, NUMSUBJECTS, numSubjects, std, student_num, testMarks_f32, testOutput, testUnity_f32, and var.

## Variable Documentation

float32_t max_marks

Examples:
  arm_class_marks_example_f32.c.

Referenced by main().

float32_t mean

Examples:
  arm_class_marks_example_f32.c, and arm_variance_example_f32.c.

Referenced by arm_std_f32(), arm_var_f32(), and main().

float32_t min_marks

Examples:
  arm_class_marks_example_f32.c.

Referenced by main().

uint32_t numStudents

Examples:
  arm_class_marks_example_f32.c.

Referenced by main().

uint32_t numSubjects

Examples:
  arm_class_marks_example_f32.c.

Referenced by main().

float32_t std

Examples:
  arm_class_marks_example_f32.c.

Referenced by main().

uint32_t student_num

Examples:
  arm_class_marks_example_f32.c.

Referenced by main().

const float32_t testMarks_f32[TEST_LENGTH_SAMPLES]

Examples:
  arm_class_marks_example_f32.c.

Referenced by main().

float32_t testOutput[TEST_LENGTH_SAMPLES]
| static

Examples:
  arm_class_marks_example_f32.c, arm_dotproduct_example_f32.c, arm_fft_bin_example_f32.c, arm_fir_example_f32.c, arm_graphic_equalizer_example_q31.c, arm_linear_interp_example_f32.c, and arm_sin_cos_example_f32.c.

Referenced by main().

const float32_t testUnity_f32[4]

Examples:
  arm_class_marks_example_f32.c.

Referenced by main().

float32_t var

Examples:
  arm_class_marks_example_f32.c.

Referenced by arm_std_f32(), and main().